Importante:

¿Como pedir soporte? (Marzo 18, 2015)

Nueva version!! - Descarga MyBB 1.6.3
MyBB 1.6.3 esta ahora disponible para descargar. Arregla una vulnerabilidad de alt riesgo y una vulnerabilidad de riesgo bajo. Se les recomienda a to...

MyBB 1.6.3 esta ahora disponible para descargar. Arregla una vulnerabilidad de alt riesgo y una vulnerabilidad de riesgo bajo. Se les recomienda a todos actualizar a esta version inmediatamente o usar los parches mencionados mas abajo


MyBB 1.6


La actualización de MyBB 1.6.3 también actualiza las bibliotecas de Javascript Prototype y Scriptaculous a sus últimas versiones. Esto es para ayudar a su foro MyBB correctamente con Internet Explorer 9.


Parchar MyBB 1.6.2 a 1.6.3
Este parche es solo para los usuarios que estan utilizando MyBB 1.6.2. si tu estas utilizando una version antigua de mybb porfavor descarga la version completa y actualiza.
[attachment=934]

es necesario que despues de subir los archivos utilices el "upgrader" para pasar a la version 1.6.3. Recuerda respaldar los archivos y base de datos antes de realizar esta actualización.


  Archivos cambiados desde la 1.6.2
  • inc
    • class_core.php
    • functions_search.php

  • install
    • resources
      • mysql_db_tables.php
      • mybb_theme.xml
      • upgrade12.php
      • upgrade17.php
      • upgrade19.php
      • upgrade3.php
      • upgrade5.php

    • upgrade.php

  • jscripts
    • controls.js
    • dragdrop.js
    • effects.js
    • general.js
    • prototype.js
    • scriptaculous.js
    • slider.js
    • thread.js

  • forumdisplay.php
  • index.php
  • misc.php
  • showthread.php

* Lo rojo representa los archivos que han tenido cambios de seguridad
* Lo verde representa nuevos archivos agregados a esta version


Para concluir aqui les dejo adjunta la version completa en descarga desde MyBB-Es.com
[attachment=935]
Tema anterior Tema siguiente
buena.. descargando e instaland
Como adicional agrego que hay que hacer unos cambios en las plantillas (si utilizas un theme custom) el cual se especifica en un txt de mybb.com el cual cito a continuación

Cita:+--------------------------------------------------------------------------------+
| MyBB 1.6.2 - Security Update Patch File (Templates)    |
| © 2010 MyBB Group.     |
| |
| This patch file fixes security issues with 1.6.2. |
| |
| Please follow the instructions documented to manually patch your board.    |
+--------------------------------------------------------------------------------+

Please note that these instructions are intended for the default theme. If you
have a custom theme installed, please use the search function within the ACP
Templates area.

===============
1. forumdisplay_threadlist
===============

Find:
--
    <span><strong><a href="misc.php?action=markread&amp;fid={$fid}">{$lang->markforum_read}</a> | <a href="usercp2.php?action={$add_remove_subscription}subscription&amp;type=forum&amp;fid={$fid}&amp;my_post_key={$mybb->post_code}">{$add_remove_subscription_text}</a>{$clearstoredpass}</strong></span>
--

Replace with:
--
    <span><strong><a href="misc.php?action=markread&amp;fid={$fid}{$post_code_string}">{$lang->markforum_read}</a> | <a href="usercp2.php?action={$add_remove_subscription}subscription&amp;type=forum&amp;fid={$fid}&amp;my_post_key={$mybb->post_code}">{$add_remove_subscription_text}</a>{$clearstoredpass}</strong></span>
--

===============
2. index_boardstats
===============

Find:
--
    <a href="misc.php?action=markread">{$lang->markread}</a> |
--

Replace with:
--
    <a href="misc.php?action=markread{$post_code_string}">{$lang->markread}</a> |
--

===============
3. headerinclude
===============

Find:
--
    <script type="text/javascript" src="{$mybb->settings['bburl']}/jscripts/general.js?ver=1600"></script>
--

Replace with:
--
    <script type="text/javascript" src="{$mybb->settings['bburl']}/jscripts/general.js?ver=1603"></script>
--

ALL DONE
¿Eso es todo?

No puedes poner qué mejoras han hecho a los archivos editados?
(April 17, 2011, 11:12 am)Gypaete escribió:  ¿Eso es todo?

No puedes poner qué mejoras han hecho a los archivos editados?
Seguridad
Vamos a testearlo a ver como está.
Cuando voy a instalar la nueva versión, me sale esto :

ErrorThe installer is currently locked, please remove 'lock' from the install directory to continue

¿Que hago?
Gracias, y buen post.
ve a la carpeta install y borra un archivo llamado lock
alguien que me ayude para actualizar la version pleasee
sebasXDD basta con que subas los archivos que hay aqui http://www.mybb-es.com/attachment.php?aid=935 y despues vallas a tuforo.com/install/

antes tienes que borrar /install/lock

Colaboradores: TheZeuS , sebasXDD , Omar G. , niny , Kevinex , Ignnacio , Gypaete , GustavoK , Gustavo R. , Deadnorth , DARKNESSDH , darkenix , Cluster , ahaday

This forum uses Lukasz Tkacz MyBB addons.